Module javafx.graphics
Package javafx.scene.shape

# Enum Class StrokeLineJoin

java.lang.Object
java.lang.Enum<StrokeLineJoin>
javafx.scene.shape.StrokeLineJoin

All Implemented Interfaces:
  `Serializable`, `Comparable<StrokeLineJoin>`, `Constable`

public enum StrokeLineJoin extends Enum<StrokeLineJoin>
Defines the line join style of a `Shape`.

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BEVEL`
Joins path segments by connecting the outer corners of their wide outlines with a straight segment.
`MITER`
Joins path segments by extending their outside edges until they meet.
`ROUND`
Joins path segments by rounding off the corner at a radius of half the line width.

## Method Summary

Modifier and Type
Method
Description
`static StrokeLineJoin`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StrokeLineJoin[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MITER

public static final StrokeLineJoin MITER
Joins path segments by extending their outside edges until they meet.

### BEVEL

public static final StrokeLineJoin BEVEL
Joins path segments by connecting the outer corners of their wide outlines with a straight segment.

### ROUND

public static final StrokeLineJoin ROUND
Joins path segments by rounding off the corner at a radius of half the line width.

## Method Details

### values

public static StrokeLineJoin[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StrokeLineJoin valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null